footer {
    padding: 15px;
    text-align: center;
    font-size: 1.2em;
    position: fixed;
    width: 100%;
    bottom: 0;
    border-top: 1px solid #fff;
    display: flex;
    justify-content: center; /* Center the footer content */
    align-items: center;
}

footer p {
    margin: 0;
}

footer div {
    display: flex;
    justify-content: center;
    align-items: center;
    width: 100%;  /* Take up the full width of the footer */
    position: relative;
}
